# Build switches:
#
# --with kde32
# --without kde32

# ----------------------------------------------------------------------------
# KDE 3.2.x (Fedora Core 2 or higher) build requirements.

%{?_with_kde32: %define target_kde32 1 }

# Auto-detect Fedora Core version when none of --with/without kde32 is given.
%if %(test -z "%{?_with_kde32}" -a -z "%{?_without_kde32}" && echo 1 || echo 0) 
  %define fedora_release %(if test -n "$(rpm -ql fedora-release | grep -m1 etc)";  then rpm -q --qf "%%{version}" fedora-release; else echo 0; fi )
  %if "%fedora_release" > "1"
    %define target_kde32 1
  %endif
%endif

# ----------------------------------------------------------------------------

%define k3bmajor 0.11

Name:           k3b-mp3
Version:        0.11.24
Release:        0.lvn.1.3
Epoch:          0
Summary:        MP3 decoder plugin for k3b CD/DVD burner

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.k3b.org
Source0:        http://dl.sf.net/k3b/k3b-0.11.24.tar.bz2
Patch0:         k3b-0.11.23-statfs.patch
Patch1:         k3b-0.11.24-no-bad-gcc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)

ExcludeArch:    s390 s390x

# Some of these are only to make the configure script happy.
BuildRequires:  XFree86-devel
BuildRequires:  kdelibs-devel >= 6:3.1, libart_lgpl-devel, arts-devel
BuildRequires:  zlib-devel, libpng-devel, libjpeg-devel
BuildRequires:  id3lib-devel libmad-devel
BuildRequires:  autoconf, gettext

%if 0%{?target_kde32}
BuildRequires:  libmng-devel fam-devel glib2-devel alsa-lib-devel esound-devel
%endif

Requires:       k3b >= %{epoch}:%{k3bmajor}


%description
MP3 decoder plugin for k3b, a feature-rich and easy to handle CD/DVD
burning application.


%prep
%setup -q -n k3b-%{version}
%patch0 -p1 -b .statfs
%patch1 -p1 -b .no-bad-gcc


%build
unset QTDIR
[ -z "$QTDIR" ] && . /etc/profile.d/qt.sh
%configure --disable-rpath \
	--with-external-libsamplerate=no \
	--without-oggvorbis \
	--without-flac

# We build just a few pieces.
pushd src/device
make %{?_smp_mflags}
popd

pushd src/core
make %{?_smp_mflags}
popd

pushd src/plugin
make %{?_smp_mflags}
popd

pushd src/audiodecoding/mp3
make %{?_smp_mflags}
popd


%install
rm -rf $RPM_BUILD_ROOT

pushd src/audiodecoding/mp3
make install DESTDIR=$RPM_BUILD_ROOT
popd


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,755)
%{_libdir}/kde3/libk3bmaddecoder.*
%{_datadir}/apps/k3b/plugins/k3bmaddecoder.plugin


%changelog
* Wed May 11 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 0:0.11.24-0.lvn.1
- Update to 0.11.24 (advertised as handling mp3 errors better).
- Remove GCC version check which blacklists FC4's GCC (d'oh!).
- Explicity disable external libsamplerate, which is in FE and
  hence FC's k3b doesn't use it either.
- Merge statfs patch from FC's k3b package.

* Thu Mar 24 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 0:0.11.22-0.lvn.1
- Update to 0.11.22 (MAD decoder update).
- Use new switches to disable OggVorbis and FLAC explicitly.

* Wed Jan 26 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 0:0.11.19-0.lvn.1
- Update to 0.11.19 (for another mp3 detection fix).

* Tue Aug 10 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0:0.11.14-0.lvn.1
- Update to 0.11.14 (which obsoletes patches again).

* Tue Aug 10 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0:0.11.13-0.lvn.1
- Add patch from CVS to fix mp3 decoder.

* Sat Aug  7 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.11.13-0.lvn.1
- Updated to 0.11.13 (includes new mp3 backport).
- Patch for k3bdiskinfo.cpp is obsolete.
- Now k3bdevice.cpp needs patch for Qt 3.1.
- Remove a few more unneeded BR.

* Thu May 27 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.11.10-0.lvn.1
- Update to 0.11.10 (includes mp3 fixes).
- Fix k3bdiskinfo.cpp for Qt 3.1.
- Remove redundant BR qt-devel.
- Disable RPATH (seems to work now).
- Rename package to k3b-mp3, build just the plugin and all depending targets.
- Delete old changelog entries which are no longer relevant to this package.

* Mon Mar 29 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.11.9-0.fdr.1
- Update to 0.11.9.

* Mon Mar 29 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.11.8-0.fdr.1
- Update to 0.11.8.

* Sun Mar 28 2004 Michael Schwendt <mschwendt[AT]users.sf.net>
- Rewrite the conditional code sections, although they work fine in
  normal build environments and the fedora.us build system. But 'mach'
  makes some weird assumptions about build requirements in spec files
  and causes unexpected results.

